#ifndef __OLED_H
#define __OLED_H 


#include "CH57x_common.h"

//#define IIC_SCL             GPIO_Pin_11
//#define IIC_SDA             GPIO_Pin_10
//#define OLED_RST            GPIO_Pin_12

//-----------------OLED˿ڶ---------------- 
#define OLED_SCLK_Clr()     GPIOB_ResetBits(GPIO_Pin_11 )//CLK
#define OLED_SCLK_Set()     GPIOB_SetBits(GPIO_Pin_11 )

#define OLED_SDIN_Clr()     GPIOB_ResetBits(GPIO_Pin_10 )//DIN
#define OLED_SDIN_Set()     GPIOB_SetBits(GPIO_Pin_10 )

#define OLED_RST_Clr()      GPIOB_ResetBits(GPIO_Pin_12 )//RST
#define OLED_RST_Set()      GPIOB_SetBits(GPIO_Pin_12 )



#define OLED_ADDR    0x78     //OLED iicַ        õַȡP2
//#define OLED_ADDR    0x7A     //OLED iicַ

#define CMD_ADDR     0x00     //OLED ַ
#define DAT_ADDR     0x40     //OLED ݵַ

#define OLED_CMD     0        //д
#define OLED_DATA    1        //д

#define u8 unsigned char
#define u32 unsigned int

void OLED_ClearPoint(u8 x,u8 y);
void OLED_ColorTurn(u8 i);
void OLED_DisplayTurn(u8 i);
void OLED_WR_Byte(u8 dat,u8 mode);
void OLED_DisPlay_On(void);
void OLED_DisPlay_Off(void);
void OLED_Refresh(void);
void OLED_Clear(void);
void OLED_DrawPoint(u8 x,u8 y);
void OLED_DrawLine(u8 x1,u8 y1,u8 x2,u8 y2);
void OLED_DrawCircle(u8 x,u8 y,u8 r);
void OLED_ShowChar(u8 x,u8 y,u8 chr,u8 size1);
void OLED_ShowString(u8 x,u8 y,u8 *chr,u8 size1);
void OLED_ShowNum(u8 x,u8 y,u32 num,u8 len,u8 size1);
void OLED_ShowChinese(u8 x,u8 y,u8 num,u8 size1);
void OLED_ScrollDisplay(u8 num,u8 space);
void OLED_WR_BP(u8 x,u8 y);
void OLED_ShowPicture(u8 x0,u8 y0,u8 x1,u8 y1,u8 BMP[]);
void OLED_Init(void);



void I2C_Start(void);
void I2C_Stop(void);
void I2C_WaitAck(void);
void Send_Byte(u8 dat);






#endif
