#ifndef  CH57X_SOFT_I2C_H__
#define  CH57X_SOFT_I2C_H__


#include <stdint.h>



void ch57x_soft_i2c_init(void);


void ch57x_soft_i2c_start(void);


void ch57x_soft_i2c_stop(void);


void ch57x_soft_i2c_send_byte(uint8_t txd);


uint8_t ch57x_soft_i2c_read_byte(unsigned char ack);

uint8_t ch57x_soft_i2c_wait_ack(void);

void ch57x_soft_i2c_ack(void);

void ch57x_soft_i2c_nack(void);

void ch57x_soft_i2c_single_write(uint8_t daddr,uint8_t addr,uint8_t data);

uint8_t ch57x_soft_i2c_single_read(uint8_t daddr,uint8_t addr);


void I2C_Start(void);
void I2C_Stop(void);
void I2C_WaitAck(void);
void Send_Byte(uint8_t dat);

#endif
